
QGIS Application - Bug report #7807

Qgis 1.9.0-Master freezes upon saving WMS tiles as "Raw data"...

2013-05-11 08:55 AM - Novarese  

Status: Closed

Priority: Severe/Regression

Assignee: Radim Blazek

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 16697

Description

...then you only gotta kill the QGIS.EXE process.

If you choose "Rendered image" in the "Save raster layer as" window, everything works fine.

Thx in advance, gentlemen :)

History

#1 - 2013-05-11 08:58 AM - Novarese  

- Assignee deleted (Novarese  )

#2 - 2013-05-11 12:57 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- OS version deleted (XP_x32, Win7_x64)

- Operating System deleted (Windows)

- Target version set to Version 2.0.0

- Priority changed from Normal to Severe/Regression

- Category changed from Web Services clients/WMS to Rasters

Confirmed on Linux testing a WMS based on (UMN) Mapserver.

Without the "create VRT" option is instant crash

gio@sibirica ~ $ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

    -  glibc detected * /usr/bin/qgis.bin: munmap_chunk(): invalid pointer: 0x00007fffd3a7af08 *======= Backtrace: =========

/lib/x86_64-linux-gnu/libc.so.6(+0x7eb96)[0x7faa45391b96]

/usr/lib/libqgis_core.so.1.9.0(

ZN19QgsRasterFileWriter16writeImageRasterEP17QgsRasterIteratoriiRK12QgsRectangleRK28QgsCoordinateReferenceSystemP15QProgressDialog

0x59d)[0x7faa490584ad]

/usr/lib/libqgis_core.so.1.9.0(_ZN19QgsRasterFileWriter11writeRasterEPK13QgsRasterPipeii12QgsRectangleRK28QgsCoordinateReferenceSystemP

5QProgressDialog+0x225)[0x7faa49059fb5]

/usr/bin/qgis.bin(_ZN7QgisApp16saveAsRasterFileEv+0x4aa)[0x5021da]

/usr/bin/qgis.bin[0x7acad5]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2b1)[0x7faa47f76281]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QAction9triggeredEb+0x32)[0x7faa472de132]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0x6f)[0x7faa472de31f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x617119)[0x7faa47730119]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x61d272)[0x7faa47736272]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x684)[0x7faa47335144]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN5QMenu5eventEP6QEvent+0x5b)[0x7faa4773780b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xb4)[0x7faa472e4894]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xabf)[0x7faa472ea0bf]

/usr/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x96)[0x7faa48e58226]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7faa47f61e9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb

0x172)[0x7faa472e5862]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24c2c1)[0x7faa473652c1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7faa47363bae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7faa4738d0d2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7faa43e75d53]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7faa43e760a0]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7faa43e76164]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x6f)[0x7f

a47f913bf]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7faa4738cd5e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7faa47f60c82]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf7)[0x7faa47f60ed7]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN5QMenu4execERK6QPointP7QAction+0x71)[0x7faa47733131]

/usr/bin/qgis.bin(_ZN9QgsLegend21handleRightClickEventEP15QTreeWidgetItemRK6QPoint+0x54b)[0x7552bb]

/usr/bin/qgis.bin(_ZN9QgsLegend15mousePressEventEP11QMouseEvent+0x107)[0x7564a7]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x969)[0x7faa47335429]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN6QFrame5eventEP6QEvent+0x26)[0x7faa476f53b6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN17QAbstractItemView13viewportEventEP6QEvent+0x3eb)[0x7faa4780989b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN9QTreeView13viewportEventEP6QEvent+0x135)[0x7faa478514b5]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate29sendThroughObjectEventFiltersEP7QObjectP6QEvent+0x88)[0x7faa47f620

8]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x7f)[0x7faa472e485f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xabf)[0x7faa472ea0bf]

/usr/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x96)[0x7faa48e58226]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7faa47f61e9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb

0x172)[0x7faa472e5862]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24bbf5)[0x7faa47364bf5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7faa47363bae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7faa4738d0d2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7faa43e75d53]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7faa43e760a0]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7faa43e76164]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x6f)[0x7f

a47f913bf]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7faa4738cd5e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7faa47f60c82]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf7)[0x7faa47f60ed7]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x87)[0x7faa47f65f67]

/usr/bin/qgis.bin(main+0x228e)[0x4e2f8e]
/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xed)[0x7faa4533476d]

/usr/bin/qgis.bin[0x4e6d71]======= Memory map: ========

00400000-00a31000 r-xp 00000000 08:03 1074338                            /usr/bin/qgis.bin

00c30000-00c32000 r--p 00630000 08:03 1074338                            /usr/bin/qgis.bin

00c32000-00c3a000 rw-p 00632000 08:03 1074338                            /usr/bin/qgis.bin

00c3a000-00c3d000 rw-p 00000000 00:00 0 

02572000-07401000 rw-p 00000000 00:00 0                                  [heap]

7fa9e4000000-7fa9e4025000 rw-p 00000000 00:00 0 

7fa9e4025000-7fa9e8000000 ---p 00000000 00:00 0 

7fa9e8000000-7fa9e8022000 rw-p 00000000 00:00 0 

7fa9e8022000-7fa9ec000000 ---p 00000000 00:00 0 

7fa9ec000000-7fa9ec029000 rw-p 00000000 00:00 0 

7fa9ec029000-7fa9f0000000 ---p 00000000 00:00 0 

7fa9f309b000-7fa9f8000000 r--p 00000000 08:03 2230923                    /usr/share/icons/gnome/icon-theme.cache

7fa9f8000000-7fa9f8077000 rw-p 00000000 00:00 0 

7fa9f8077000-7fa9fc000000 ---p 00000000 00:00 0 

7fa9fd240000-7fa9fd241000 ---p 00000000 00:00 0 

7fa9fd241000-7fa9fda41000 rw-p 00000000 00:00 0 

7fa9fda41000-7faa00000000 r--p 00000000 08:03 2262642                    /usr/share/icons/hicolor/icon-theme.cache

7faa00000000-7faa00026000 rw-p 00000000 00:00 0 

7faa00026000-7faa04000000 ---p 00000000 00:00 0 

7faa04000000-7faa04021000 rw-p 00000000 00:00 0 

7faa04021000-7faa08000000 ---p 00000000 00:00 0 

7faa087c0000-7faa087f7000 r-xp 00000000 08:03 1056191                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7faa087f7000-7faa089f6000 ---p 00037000 08:03 1056191                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7faa089f6000-7faa089f9000 r--p 00036000 08:03 1056191                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7faa089f9000-7faa089fa000 rw-p 00039000 08:03 1056191                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7faa089fa000-7faa08a2e000 r-xp 00000000 08:03 1056589                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1

7faa08a2e000-7faa08c2d000 ---p 00034000 08:03 1056589                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1

7faa08c2d000-7faa08c2e000 r--p 00033000 08:03 1056589                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1

7faa08c2e000-7faa08c2f000 rw-p 00034000 08:03 1056589                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1

7faa08c2f000-7faa08c31000 r-xp 00000000 08:03 1442332                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7faa08c31000-7faa08e30000 ---p 00002000 08:03 1442332                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7faa08e30000-7faa08e31000 r--p 00001000 08:03 1442332                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7faa08e31000-7faa08e32000 rw-p 00002000 08:03 1442332                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7faa08e32000-7faa08e33000 ---p 00000000 00:00 0 

7faa08e33000-7faa09633000 rw-p 00000000 00:00 0 

7faa09633000-7faa09634000 ---p 00000000 00:00 0 

7faa09634000-7faa09e34000 rw-p 00000000 00:00 0 

7faa09e34000-7faa09e44000 r-xp 00000000 08:03 1442266                    /usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7faa09e44000-7faa0a043000 ---p 00010000 08:03 1442266                    /usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7faa0a043000-7faa0a044000 r--p 0000f000 08:03 1442266                    /usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7faa0a044000-7faa0a045000 rw-p 00010000 08:03 1442266                    /usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7faa0a045000-7faa0a051000 r-xp 00000000 08:03 5121555                    /lib/x86_64-linux-gnu/libudev.so.0.13.0

7faa0a051000-7faa0a250000 ---p 0000c000 08:03 5121555                    /lib/x86_64-linux-gnu/libudev.so.0.13.0

7faa0a250000-7faa0a251000 r--p 0000b000 08:03 5121555                    /lib/x86_64-linux-gnu/libudev.so.0.13.0

7faa0a251000-7faa0a252000 rw-p 0000c000 08:03 5121555                    /lib/x86_64-linux-gnu/libudev.so.0.13.0

7faa0a252000-7faa0a268000 r-xp 00000000 08:03 1442267                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so

7faa0a268000-7faa0a467000 ---p 00016000 08:03 1442267                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so

7faa0a467000-7faa0a468000 r--p 00015000 08:03 1442267                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so

7faa0a468000-7faa0a469000 rw-p 00016000 08:03 1442267                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so

7faa0a469000-7faa0a491000 r-xp 00000000 08:03 1442265                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so
7faa0a491000-7faa0a690000 ---p 00028000 08:03 1442265                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so

7faa0a690000-7faa0a691000 r--p 00027000 08:03 1442265                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so

7faa0a691000-7faa0a692000 rw-p 00028000 08:03 1442265                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so

7faa0a692000-7faa0a693000 ---p 00000000 00:00 0 

7faa0a693000-7faa0ae93000 rw-p 00000000 00:00 0 

7faa0ae93000-7faa0aebd000 r-xp 00000000 08:03 1444878                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7faa0aebd000-7faa0b0bd000 ---p 0002a000 08:03 1444878                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7faa0b0bd000-7faa0b0bf000 r--p 0002a000 08:03 1444878                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7faa0b0bf000-7faa0b0c0000 rw-p 0002c000 08:03 1444878                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7faa0b0c0000-7faa0b0cc000 r-xp 00000000 08:03 1442854                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7faa0b0cc000-7faa0b2cc000 ---p 0000c000 08:03 1442854                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7faa0b2cc000-7faa0b2cd000 r--p 0000c000 08:03 1442854                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7faa0b2cd000-7faa0b2ce000 rw-p 0000d000 08:03 1442854                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7faa0b2ce000-7faa0b2cf000 ---p 00000000 00:00 0 

7faa0b2cf000-7faa0bacf000 rw-p 00000000 00:00 0 

7faa0bacf000-7faa0c000000 rw-s 00000000 00:04 5701641                    /SYSV00000000 (deleted)

7faa0c000000-7faa0c021000 rw-p 00000000 00:00 0 

7faa0c021000-7faa10000000 ---p 00000000 00:00 0 

7faa10188000-7faa1045c000 rw-p 00000000 00:00 0 

7faa1045c000-7faa10460000 r-xp 00000000 08:03 1442328                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7faa10460000-7faa10660000 ---p 00004000 08:03 1442328                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7faa10660000-7faa10661000 r--p 00004000 08:03 1442328                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7faa10661000-7faa10662000 rw-p 00005000 08:03 1442328                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7faa1078d000-7faa10808000 r-xp 00000000 08:03 1056009                    /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7faa10808000-7faa10a08000 ---p 0007b000 08:03 1056009                    /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7faa10a08000-7faa10a09000 r--p 0007b000 08:03 1056009                    /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7faa10a09000-7faa10a0a000 rw-p 0007c000 08:03 1056009                    /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7faa10a0a000-7faa10a47000 r-xp 00000000 08:03 1450589                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7faa10a47000-7faa10c47000 ---p 0003d000 08:03 1450589                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7faa10c47000-7faa10c49000 r--p 0003d000 08:03 1450589                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7faa10c49000-7faa10c4a000 rw-p 0003f000 08:03 1450589                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7faa10c4a000-7faa10c51000 r-xp 00000000 08:03 5123791                    /lib/x86_64-linux-gnu/libnss_dns-2.15.so

7faa10c51000-7faa10e50000 ---p 00007000 08:03 5123791                    /lib/x86_64-linux-gnu/libnss_dns-2.15.so

7faa10e50000-7faa10e51000 r--p 00006000 08:03 5123791                    /lib/x86_64-linux-gnu/libnss_dns-2.15.so

7faa10e51000-7faa10e52000 rw-p 00007000 08:03 5123791                    /lib/x86_64-linux-gnu/libnss_dns-2.15.soAborted (core dumped)

#3 - 2013-05-11 03:51 PM - Salvatore Larosa

it seems to occur only if the 'Map view extent' button has been selected.

#4 - 2013-05-14 09:58 AM - Radim Blazek

- Status changed from Open to Feedback

I could not reproduce freeze/crash but I found a bug which was probably causing both. It should be fixed in commit:c0dec5a. Please test.

2025-04-27 4/5



#5 - 2013-05-21 08:53 AM - Radim Blazek

- Assignee set to Radim Blazek

#6 - 2013-05-29 10:16 AM - Radim Blazek

Please test and close if it works.

#7 - 2013-06-02 02:00 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed

seems fixed, reopen if necessary.

Files

wms_rawdata_fail.png 48 KB 2013-05-11 Novarese  
